package com.yd.dal.service.customer.impl;

import com.yd.dal.entity.customer.AclCustomerObjectShare;
import com.yd.dal.mapper.customer.AclCustomerMembershipMapper;
import com.yd.dal.mapper.customer.AclCustomerObjectShareMapper;
import com.yd.dal.service.customer.AclCustomerObjectShareDALService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("aclCustomerObjectShareDALService")
public class AclCustomerObjectShareDALServiceImpl implements AclCustomerObjectShareDALService {

    @Autowired
    private AclCustomerObjectShareMapper mapper;

    @Override
    public Long save(AclCustomerObjectShare objectShare) {
        mapper.insertSelective(objectShare);
        return objectShare.getId();
    }

    @Override
    public Long findIdByShareCode(String shareCode) {
        return mapper.findIdByShareCode(shareCode);
    }
}
